Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.compress.archivers.cpio
Interface CpioConstants

All Known Implementing Classes:
  CpioArchiveEntry, CpioArchiveInputStream, CpioArchiveOutputStream

    public interface CpioConstants

All constants needed by CPIO. based on code from the jRPM project (jrpm.sourceforge.net)

Field Summary
`static int` | `BLOCK_SIZE` The default block size.
`static int` | `C_IRGRP` Permits a file's group to read the file
`static int` | `C_IROTH` Permits others to read the file
`static int` | `C_IRUSR` Permits the owner of a file to read the file
`static int` | `C_ISBLK` Defines a block device
`static int` | `C_ISCHR` Defines a character device
`static int` | `C_ISDIR` Defines a directory
`static int` | `C_ISFIFO` Defines a pipe
`static int` | `C_ISGID` Set group ID
`static int` | `C_ISLNK` Defines a symbolic link
`static int` | `C_ISNWK` HP/UX network special (C_ISCTG)
`static int` | `C_ISREG` Defines a regular file
`static int` | `C_ISSOCK` Defines a socket
`static int` | `C_ISUID` Set user ID
`static int` | `C_ISVTX` On directories, restricted deletion flag.
`static int` | `C_IWGRP` Permits a file's group to write to the file
`static int` | `C_IWOTH` Permits others to write to the file
`static int` | `C_IWUSR` Permits the owner of a file to write to the file
`static int` | `C_IXGRP` Permits a file's group to execute the file or to search the directory
`static int` | `C_IXOTH` Permits others to execute the file or to search the directory
`static int` | `C_IXUSR` Permits the owner of a file to execute the file or to search the directory
`static String` | `CPIO_TRAILER` The special trailer marker
`static short` | `FORMAT_NEW` write/read a CPIOArchiveEntry in the new format
`static short` | `FORMAT_NEW_CRC` write/read a CPIOArchiveEntry in the new format with crc
`static short` | `FORMAT_NEW_MASK` Mask for both new formats
`static short` | `FORMAT_OLD_ASCII` write/read a CPIOArchiveEntry in the old ascii format
`static short` | `FORMAT_OLD_BINARY` write/read a CPIOArchiveEntry in the old binary format
`static short` | `FORMAT_OLD_MASK` Mask for both old formats
`static String` | `MAGIC_NEW` magic number of a cpio entry in the new format
`static String` | `MAGIC_NEW_CRC` magic number of a cpio entry in the new format with crc
`static String` | `MAGIC_OLD_ASCII` magic number of a cpio entry in the old ascii format
`static int` | `MAGIC_OLD_BINARY` magic number of a cpio entry in the old binary format
`static int` | `S_IFMT` Mask for all file type bits.

Field Detail

### MAGIC_NEW

    static final String MAGIC_NEW

  magic number of a cpio entry in the new format

  See Also:
    Constant Field Values

### MAGIC_NEW_CRC

    static final String MAGIC_NEW_CRC

  magic number of a cpio entry in the new format with crc

  See Also:
    Constant Field Values

### MAGIC_OLD_ASCII

    static final String MAGIC_OLD_ASCII

  magic number of a cpio entry in the old ascii format

  See Also:
    Constant Field Values

### MAGIC_OLD_BINARY

    static final int MAGIC_OLD_BINARY

  magic number of a cpio entry in the old binary format

  See Also:
    Constant Field Values

### FORMAT_NEW

    static final short FORMAT_NEW

  write/read a CPIOArchiveEntry in the new format

  See Also:
    Constant Field Values

### FORMAT_NEW_CRC

    static final short FORMAT_NEW_CRC

  write/read a CPIOArchiveEntry in the new format with crc

  See Also:
    Constant Field Values

### FORMAT_OLD_ASCII

    static final short FORMAT_OLD_ASCII

  write/read a CPIOArchiveEntry in the old ascii format

  See Also:
    Constant Field Values

### FORMAT_OLD_BINARY

    static final short FORMAT_OLD_BINARY

  write/read a CPIOArchiveEntry in the old binary format

  See Also:
    Constant Field Values

### FORMAT_NEW_MASK

    static final short FORMAT_NEW_MASK

  Mask for both new formats

  See Also:
    Constant Field Values

### FORMAT_OLD_MASK

    static final short FORMAT_OLD_MASK

  Mask for both old formats

  See Also:
    Constant Field Values

### S_IFMT

    static final int S_IFMT

  Mask for all file type bits.

  See Also:
    Constant Field Values

### C_ISSOCK

    static final int C_ISSOCK

  Defines a socket

  See Also:
    Constant Field Values

### C_ISLNK

    static final int C_ISLNK

  Defines a symbolic link

  See Also:
    Constant Field Values

### C_ISNWK

    static final int C_ISNWK

  HP/UX network special (C_ISCTG)

  See Also:
    Constant Field Values

### C_ISREG

    static final int C_ISREG

  Defines a regular file

  See Also:
    Constant Field Values

### C_ISBLK

    static final int C_ISBLK

  Defines a block device

  See Also:
    Constant Field Values

### C_ISDIR

    static final int C_ISDIR

  Defines a directory

  See Also:
    Constant Field Values

### C_ISCHR

    static final int C_ISCHR

  Defines a character device

  See Also:
    Constant Field Values

### C_ISFIFO

    static final int C_ISFIFO

  Defines a pipe

  See Also:
    Constant Field Values

### C_ISUID

    static final int C_ISUID

  Set user ID

  See Also:
    Constant Field Values

### C_ISGID

    static final int C_ISGID

  Set group ID

  See Also:
    Constant Field Values

### C_ISVTX

    static final int C_ISVTX

  On directories, restricted deletion flag.

  See Also:
    Constant Field Values

### C_IRUSR

    static final int C_IRUSR

  Permits the owner of a file to read the file

  See Also:
    Constant Field Values

### C_IWUSR

    static final int C_IWUSR

  Permits the owner of a file to write to the file

  See Also:
    Constant Field Values

### C_IXUSR

    static final int C_IXUSR

  Permits the owner of a file to execute the file or to search the directory

  See Also:
    Constant Field Values

### C_IRGRP

    static final int C_IRGRP

  Permits a file's group to read the file

  See Also:
    Constant Field Values

### C_IWGRP

    static final int C_IWGRP

  Permits a file's group to write to the file

  See Also:
    Constant Field Values

### C_IXGRP

    static final int C_IXGRP

  Permits a file's group to execute the file or to search the directory

  See Also:
    Constant Field Values

### C_IROTH

    static final int C_IROTH

  Permits others to read the file

  See Also:
    Constant Field Values

### C_IWOTH

    static final int C_IWOTH

  Permits others to write to the file

  See Also:
    Constant Field Values

### C_IXOTH

    static final int C_IXOTH

  Permits others to execute the file or to search the directory

  See Also:
    Constant Field Values

### CPIO_TRAILER

    static final String CPIO_TRAILER

  The special trailer marker

  See Also:
    Constant Field Values

### BLOCK_SIZE

    static final int BLOCK_SIZE

  The default block size.

  Since:
    Apache Commons Compress 1.1
  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Apache Software Foundation. All Rights Reserved.